Get SIM card action details
This API fetches detailed information about a SIM card action to follow-up on an existing asynchronous operation.
GET
/
sim_card_actions
/
{id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const action = await client.simCards.actions.retrieve('6a09cdc3-8948-47f0-aa62-74ac943d6c58');
console.log(action.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
action = client.sim_cards.actions.retrieve(
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
)
print(action.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
action, err := client.SimCards.Actions.Get(context.TODO(), "6a09cdc3-8948-47f0-aa62-74ac943d6c58")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", action.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simcards.actions.ActionRetrieveParams;
import com.telnyx.sdk.models.simcards.actions.ActionRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionRetrieveResponse action = client.simCards().actions().retrieve("6a09cdc3-8948-47f0-aa62-74ac943d6c58");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
action = telnyx.sim_cards.actions.retrieve("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
puts(action)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$action = $client->simCards->actions->retrieve(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58'
);
var_dump($action);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx sim-cards:actions retrieve \
--api-key 'My API Key' \
--id 6a09cdc3-8948-47f0-aa62-74ac943d6c58curl --request GET \
--url https://api.telnyx.com/v2/sim_card_actions/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "sim_card_action",
"sim_card_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"action_type": "enable",
"status": {
"value": "completed",
"reason": "The data limit was exceeded."
},
"settings": {},
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifies the resource.
Example:
"6a09cdc3-8948-47f0-aa62-74ac943d6c58"
Response
Successful Response
This object represents a SIM card action. It allows tracking the current status of an operation that impacts the SIM card.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const action = await client.simCards.actions.retrieve('6a09cdc3-8948-47f0-aa62-74ac943d6c58');
console.log(action.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
action = client.sim_cards.actions.retrieve(
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
)
print(action.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
action, err := client.SimCards.Actions.Get(context.TODO(), "6a09cdc3-8948-47f0-aa62-74ac943d6c58")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", action.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simcards.actions.ActionRetrieveParams;
import com.telnyx.sdk.models.simcards.actions.ActionRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionRetrieveResponse action = client.simCards().actions().retrieve("6a09cdc3-8948-47f0-aa62-74ac943d6c58");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
action = telnyx.sim_cards.actions.retrieve("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
puts(action)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$action = $client->simCards->actions->retrieve(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58'
);
var_dump($action);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx sim-cards:actions retrieve \
--api-key 'My API Key' \
--id 6a09cdc3-8948-47f0-aa62-74ac943d6c58curl --request GET \
--url https://api.telnyx.com/v2/sim_card_actions/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "sim_card_action",
"sim_card_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"action_type": "enable",
"status": {
"value": "completed",
"reason": "The data limit was exceeded."
},
"settings": {},
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}